:root {
	--light-color: #b2de2c;
    --medium-color: #8eb80e;
	--dark-color: #7c9d15;
}

.dropdown-menu {
    --bs-dropdown-font-size: 0.8rem !important;
      --bs-dropdown-link-active-bg: var(--light-color) !important;
}

html {
        --bs-primary: var(--light-color) !important;
            font-size: 0.8rem !important;
            
}

body {

     /*text-shadow: .5px .5px .5px gray !important;*/

     font-family: ui-sans-serif,
      system-ui,
      sans-serif,
      "Apple Color Emoji",
      "Segoe UI Emoji",
      Segoe UI Symbol,
      "Noto Color Emoji" !important;
    font-weight: 500 !important;
    color: var(--bs-gray-600) !important;

}

#menu {
	background-image: linear-gradient(to bottom, var(--light-color), var(--dark-color));
	border-color: var(--light-color);
}
 
#menu .navbar-nav > li > a {
	color: #000;
}

#menu a {
    color: #000;
}

.page-link.active, .active > .page-link {
  --bs-pagination-active-color: var(--light-color) !important;
  --bs-pagination-active-bg: var(--light-color);
  --bs-pagination-active-border-color: var(--light-color);
  color: #000;
}

.page-link {
	--bs-pagination-color: #000 !important;
	--bs-link-color: var(--light-color) !important;
	--bs-pagination-active-bg: var(--light-color) !important;
  --bs-pagination-active-border-color: var(--light-color) !important;
}

.product-thumb > .content > .description > h4 > a { color: var(--dark-color) !important }

.breadcrumb > li.breadcrumb-item > a {
  text-decoration: none;
  color: #000;
}

.breadcrumb {
    display: block;
    white-space: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
}

.breadcrumb > li {
    display: inline-block !important;
    float: none !important;
}


.btn-primary {
  --bs-btn-color: #000;
  --bs-btn-bg: var(--light-color);
  --bs-btn-border-color: var(--light-color);
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: var(--dark-color);
  --bs-btn-hover-border-color: var(--dark-color);
  --bs-btn-focus-shadow-rgb: 67, 169, 208;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--dark-color);
  --bs-btn-active-border-color: var(--dark-color);
}

.dropdown-submenu {
  position: var(--bs-position, relative);
}

.dropdown-submenu > .submenu {
  
  position: var(--bs-position, absolute);
  top: 0;
  left: 100%;
  
  


  min-width: var(--bs-dropdown-min-width, 10rem);
  padding: var(--bs-dropdown-padding-y, 0.5rem) var(--bs-dropdown-padding-x, 0);
  margin: 0;


  background-color: var(--bs-dropdown-bg, #fff);
  border: var(--bs-dropdown-border-width, 1px) solid var(--bs-dropdown-border-color, #ddd);
  border-radius: var(--bs-dropdown-border-radius, 0.375rem);

  box-shadow: var(--bs-dropdown-box-shadow, 0 0.5rem 1rem rgba(0,0,0,.15));
  z-index: var(--bs-dropdown-zindex, 1000);

  list-style: none;
}

/*
.dropdown-submenu > .dropdown-item::after {
  content: "›";
  float: right;
  opacity: 0.6;
}
*/
.dropdown-submenu .dropdown-item { 
	white-space: normal; /* allow wrapping */ 
	display: block; /* keep full clickable width */ 
	width: auto; /* let width grow naturally */ 
	border-top: 1px #f0f0f0 solid;
}

.search-results {
    position: absolute;
    background: #fff;
    /*border: 1px solid #ddd;*/
    width: 50%;
    z-index: 9999;
}

.search-results {
    /*position:relative;*/
    width: 100%;
    /*max-width: 100%;*/
    display: block;
}

.search-results .row {
    margin-left: 0;
    margin-right: 0;
}

.search-item {
  display: flex;
  align-items: center;
  gap: 12px;          /* space between image and text */
  padding: 10px;
  text-decoration: none;
  color: inherit;
  border: 1px solid #ddd;
  /*border-radius: 6px;*/
}

.search-item img {
  width: 50px;        /* adjust as needed */
  height: 50px;
  object-fit: cover;
  /*border-radius: 4px;*/
}

.search-item .info {
  display: flex;
  flex-direction: column;
}



.search-item:hover {
    background: #f5f5f5;
}

.nav-tabs .nav-link {
	color: var(--dark-color);
}

input[name="quantity"], #input-quantity { width: 70px !important; /* adjust to your liking */ max-width: 100px; text-align: center; }

.price * {
	font-size: .9rem;
}

.product-thumb .button button {
    justify-content: center; /* or flex-start */
	flex: 1 1 auto;
	width: 100%;
}

.pagination {
  --bs-pagination-padding-x: 0.75rem;
  --bs-pagination-padding-y: 0.375rem;
  --bs-pagination-font-size: 0.8125rem;
  --bs-pagination-color: var(--bs-link-color);
  --bs-pagination-bg: var(--bs-body-bg);
  --bs-pagination-border-width: var(--bs-border-width);
  --bs-pagination-border-color: var(--bs-border-color);
  --bs-pagination-border-radius: var(--bs-border-radius);
  --bs-pagination-hover-color: var(--light-color);
  --bs-pagination-hover-bg: var(--bs-tertiary-bg);
  --bs-pagination-hover-border-color: var(--bs-border-color);
  --bs-pagination-focus-color: var(--dark-color);
  --bs-pagination-focus-bg: var(--bs-secondary-bg);
  --bs-pagination-focus-box-shadow: 0 0 0 0.25rem var(--light-color);
}

#cart table a, #cart div p a {
	color: black;
}

#output-cart td.text-start a {
	color: black;
}

.manufacturer-row img { height: auto; width: auto; max-height: 150px; object-fit: contain; }

.manufacturer-row a { 
  text-decoration: none !important; color: inherit !important; margin-top: 1rem
  }

.manufacturer-row h1 {
  color: var(--medium-color)
  }

/*
.manufacturer-row p {
  white-space: wrap !important; 
}
*/

.manufacturer-row a {
  display: inline-block;   /* shrink-wraps to image width */
  text-align: center;
}

.manufacturer-row p {
  width: 100%;             /* match the link width (same as image) */
  white-space: normal;
  overflow-wrap: break-word;
}

/*
header {
    position: sticky;
    top: 0;
    z-index: 9999;
    background: #fff;
}
*/

footer {
  position: static;
}

#content {
  padding-bottom: 0 !important;
}


.breadcrumb {
    background-color: #fff;
}

.breadcrumb-item {
    position: relative;
    display: flex;
    align-items: center;
    font-weight: 500;
}

.breadcrumb-item a {
    color: var(--dark-color) !important;
}

.breadcrumb > li.breadcrumb-item::after {
    top: 50%;
    transform: translateY(-50%) rotate(-45deg);
    width: 20px;
  height: 20px;
  border-right: 1px solid gray;
  border-bottom: 1px solid gray;
}

#whatsapp {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    z-index: 999;
}

/*
.list-inline {
    display: flex;
    flex-wrap: nowrap;
    gap: .75rem;
}
*/

.nav-item .active {
  background-color: #e9ecef;
  color: #000;
}


.input-group *:not(i), .btn:not(i), input, input-group-text, .product-thumb, .breadcrumb {
  box-shadow: 1px 1px 1px #eeeeee !important
}

.product-thumb button, #menu button {
  box-shadow: none !important
}

svg {
    filter: drop-shadow(1px 1px 2px gray);
}

#shipping-address + .row {
    display: none;
}

input:focus {
    border-color: var(--light-color) !important;
    box-shadow: 0 0 0 2px var(--light-color) !important;
}

.alert {
    background: linear-gradient(to bottom, var(--light-color), var(--dark-color));
    color: black;
    font-size: 12px;
    padding: 10px 14px;
}

#alert .alert-primary {
  box-shadow: 0 0 0 5px rgb(var(--bs-primary-rgb), 0.1);
}
#alert .alert-secondary {
  box-shadow: 0 0 0 5px rgb(var(--bs-secondary-rgb), 0.1);
}
#alert .alert-success {
  box-shadow: 0 0 0 5px rgb(var(--medium-color), 0.1);
}
#alert .alert-warning {
  box-shadow: 0 0 0 5px rgb(var(--bs-warning-rgb), 0.1);
}
#alert .alert-danger {
  box-shadow: 0 0 0 5px rgb(var(--bs-danger-rgb), 0.1);
}
#alert .alert-info {
  box-shadow: 0 0 0 5px rgb(var(--bs-info-rgb), 0.1);
}
#alert .alert-light {
  box-shadow: 0 0 0 5px rgb(var(--bs-light-rgb), 0.1);
}
#alert .alert-dark {
  box-shadow: 0 0 0 5px rgb(var(--bs-dark-rgb), 0.1);
}

/*
.alert a {
    color: var(--dark-color)
}
*/
footer {
    margin-top: 1rem;
}

header .row {
    display: flex;
    align-items: flex-end;
    /* bottom-aligns all columns */
}

header .row {
    display: flex;
    justify-content: center;
    /* centers horizontally */
    align-items: center;
    /* centers vertically */
    text-align: center;
    /* optional: centers text inside columns */
    bottom:0
}

#menu .nav {
  justify-content: flex-start !important;
  text-align: left !important;
}

#menu .navbar-nav > li > a {
    text-shadow: none;
}

.wrapper {
  position: absolute;
  display: block; /* or block, depending on layout */
}

.wrapper img {
  display: block; /* removes gaps under images */
  width: 100%;    /* optional: makes it responsive */
}

.overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 1.5rem;
  pointer-events: none; /* optional: clicks pass through */
}

nav {
    font-size: 0.7rem;
}

#top {
    padding-top: 0 !important;
    height: 3.5rem;
    margin-bottom: 1rem;
}

#top .list-inline-item {
    margin-bottom: .1rem !important;
    padding-top: .1rem !important;
}

#top .list-inline-item:not(:last-child) {
  margin-right: 0.5rem !important;
}

#top .list-inline-item:last-child {
  margin-right: 1rem !important;
}

.product-thumb form .button button {
  color: var(--dark-color) !important;
  font-weight: bolder;
}

#checkout-payment-method {
    display: none
}

#output-cart img {
  width:150px
}

#checkout-payment :is(h3, .payment, .payment-country-select, .payment-group-wrapper, br, button:disabled) {
  display: none;
}

#menu .navbar-nav > li > a {
  text-shadow: none;
  font-size: .85rem !important;
}

#output-cart~h2,
#output-cart~p,
#output-cart~#accordion {
  display: none;
}

.image.magnific-popup img, .product-thumb img {
    max-height: 300px;
}

.image.magnific-popup div img {
    max-height: 100px;
}

button#button-cart {
    font-size: .75rem !important;
}

footer {
  background-color: #fff;
  border: none;
}

footer * {
  color: var(--bs-gray-600) !important;
}

header.sticky {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    background: #fff;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}
body.has-sticky {
    padding-top: 120px; /* adjust to your header height */
}


.hidden {
  opacity: 0 !important;
  pointer-events: none;
}

header { width: 100%; display: block; }

#top.hide { display: none; }